Page MenuHomePhabricator

Remove per-event notify-type-availability, always make it per-category
Closed, ResolvedPublic

Description

There's a notify-type-availability property on individual notification types, but it doesn't work most of the time. Type availability is set on the category level, except for hidden categories (not visible in preferences), where it's set on the notification type level. This leads to confusion like in this patch, where we tried to set notify-type-availability on a notification type because it looked like it would work (other types were doing it), but then to everyone's surprise it didn't work.

Let's make this consistent by setting this property only on categories, never on individual types. This may require splitting existing hidden categories.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Catrope created this task.Apr 17 2019, 4:45 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 17 2019, 4:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope claimed this task.Apr 20 2019, 12:14 AM
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Catrope moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 505352 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] Split system category into system and system-noemail

https://gerrit.wikimedia.org/r/505352

Change 505363 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/BounceHandler@master] Put bouncehandler notification in the system-noemail category

https://gerrit.wikimedia.org/r/505363

Change 505682 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] Remove per-type notify-type-availability (make it category-only)

https://gerrit.wikimedia.org/r/505682

Change 505352 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Split system category into system and system-noemail

https://gerrit.wikimedia.org/r/505352

Change 505363 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Put bouncehandler notification in the system-noemail category

https://gerrit.wikimedia.org/r/505363

Change 505682 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove per-type notify-type-availability (make it category-only)

https://gerrit.wikimedia.org/r/505682

Etonkovidova closed this task as Resolved.May 6 2019, 11:33 PM